Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.sdb.core.sqlnode
Class SqlNodeBase

    java.lang.Object
      com.hp.hpl.jena.sdb.core.AnnotationsBase
          com.hp.hpl.jena.sdb.core.sqlnode.SqlNodeBase

All Implemented Interfaces:
  Annotations, SqlNode, org.openjena.atlas.io.Printable

Direct Known Subclasses:
  SqlNodeBase0, SqlNodeBase1, SqlNodeBase2

    public abstract class SqlNodeBase

extends AnnotationsBase
implements SqlNode

Constructor Summary
`SqlNodeBase(String aliasName)`

Method Summary
`SqlCoalesce` | `asCoalesce()`
`com.hp.hpl.jena.sdb.core.sqlnode.SqlDistinct` | `asDistinct()`
`SqlJoinInner` | `asInnerJoin()`
`SqlJoin` | `asJoin()`
`SqlJoinLeftOuter` | `asLeftJoin()`
`SqlProject` | `asProject()`
`SqlRestrict` | `asRestrict()`
`SqlSelectBlock` | `asSelectBlock()`
`SqlTable` | `asTable()`
`String` | `getAliasName()`
`boolean` | `isCoalesce()`
`boolean` | `isDistinct()`
`boolean` | `isInnerJoin()`
`boolean` | `isJoin()`
`boolean` | `isLeftJoin()`
`boolean` | `isProject()`
`boolean` | `isRestrict()`
`boolean` | `isSelectBlock()`
`boolean` | `isTable()`
`void` | `output(org.openjena.atlas.io.IndentedWriter out)`
`void` | `output(org.openjena.atlas.io.IndentedWriter out, boolean withAnnotations)`
`Set<SqlTable>` | `tablesInvolved()`
`String` | `toString()`
`boolean` | `usesColumn(SqlColumn c)`

Methods inherited from class com.hp.hpl.jena.sdb.core.AnnotationsBase
`addNote, addNotes, getNotes, hasNotes, hasOneNote`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.hp.hpl.jena.sdb.core.sqlnode.SqlNode
`getIdScope, getNodeScope, visit`

Methods inherited from interface com.hp.hpl.jena.sdb.core.Annotations
`addNote, addNotes, getNotes, hasNotes, hasOneNote`

Constructor Detail

### SqlNodeBase

    public SqlNodeBase(String aliasName)

Method Detail

### isJoin

    public boolean isJoin()

  Specified by:
    `isJoin` in interface `SqlNode`

### isInnerJoin

    public boolean isInnerJoin()

  Specified by:
    `isInnerJoin` in interface `SqlNode`

### isLeftJoin

    public boolean isLeftJoin()

  Specified by:
    `isLeftJoin` in interface `SqlNode`

### asJoin

    public SqlJoin asJoin()

  Specified by:
    `asJoin` in interface `SqlNode`

### asLeftJoin

    public SqlJoinLeftOuter asLeftJoin()

  Specified by:
    `asLeftJoin` in interface `SqlNode`

### asInnerJoin

    public SqlJoinInner asInnerJoin()

  Specified by:
    `asInnerJoin` in interface `SqlNode`

### isRestrict

    public boolean isRestrict()

  Specified by:
    `isRestrict` in interface `SqlNode`

### asRestrict

    public SqlRestrict asRestrict()

  Specified by:
    `asRestrict` in interface `SqlNode`

### isProject

    public boolean isProject()

  Specified by:
    `isProject` in interface `SqlNode`

### asProject

    public SqlProject asProject()

  Specified by:
    `asProject` in interface `SqlNode`

### isDistinct

    public boolean isDistinct()

  Specified by:
    `isDistinct` in interface `SqlNode`

### asDistinct

    public com.hp.hpl.jena.sdb.core.sqlnode.SqlDistinct asDistinct()

  Specified by:
    `asDistinct` in interface `SqlNode`

### isCoalesce

    public boolean isCoalesce()

  Specified by:
    `isCoalesce` in interface `SqlNode`

### asCoalesce

    public SqlCoalesce asCoalesce()

  Specified by:
    `asCoalesce` in interface `SqlNode`

### isTable

    public boolean isTable()

  Specified by:
    `isTable` in interface `SqlNode`

### asTable

    public SqlTable asTable()

  Specified by:
    `asTable` in interface `SqlNode`

### isSelectBlock

    public boolean isSelectBlock()

  Specified by:
    `isSelectBlock` in interface `SqlNode`

### asSelectBlock

    public SqlSelectBlock asSelectBlock()

  Specified by:
    `asSelectBlock` in interface `SqlNode`

### output

    public void output(org.openjena.atlas.io.IndentedWriter out)

  Specified by:
    `output` in interface `org.openjena.atlas.io.Printable`

### output

    public void output(org.openjena.atlas.io.IndentedWriter out,
                       boolean withAnnotations)

### usesColumn

    public boolean usesColumn(SqlColumn c)

### getAliasName

    public final String getAliasName()

  Specified by:
    `getAliasName` in interface `SqlNode`

### tablesInvolved

    public Set<SqlTable> tablesInvolved()

  Specified by:
    `tablesInvolved` in interface `SqlNode`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2006, 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Epimorphics Ltd.